AnkiHub not syncing on 2nd device

Before the error happened, I was…
Nothing special. Just started anki on my 2nd device and got this error

Error message (don't change this)
Anki 23.12.1 (1a1d4d54)  (ao)
Python 3.9.15 Qt 6.6.1 PyQt 6.6.1
Platform: Windows-10-10.0.22631

Traceback (most recent call last):

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 238, in _send_request_with_retry
    response = self._send_request_with_retry_inner(request, stream=stream)

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x16ccdb687f0 state=finished raised SSLError>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 244, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 259, in _send_request_with_retry_inner
    response = session.send(request, stream=stream)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 517, in send

requests.exceptions.SSLError: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)')))


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.taskman", line 142, in _on_closures_pending

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\gui\menu.py", line 329, in on_done
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\ankihub_sync.py", line 66, in sync_with_ankihub
    subscribed_decks = client.get_deck_subscriptions()

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 578, in get_deck_subscriptions
    response = self._send_request("GET", API.ANKIHUB, "/decks/subscriptions/")

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 224, in _send_request
    response = self._send_request_with_retry(prepped, stream=stream)

  File "C:\Users\shmue\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 246, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)')))

Sentry link (for developers)

Does this work for you?

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.